Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cybergarage.upnp.ssdp
Class HTTPMUSocket

    java.lang.Object
      org.cybergarage.upnp.ssdp.HTTPMUSocket

Direct Known Subclasses:
  SSDPNotifySocket, SSDPSearchSocket

    public class HTTPMUSocket

extends Object

Constructor Summary
`HTTPMUSocket()`
`HTTPMUSocket(String addr, int port, String bindAddr)`

Method Summary
`boolean` | `close()`
`protected void` | `finalize()`
`String` | `getLocalAddress()`
`String` | `getMulticastAddress()`
`InetAddress` | `getMulticastInetAddress()`
`boolean` | `open(String addr, int port, String bindAddr)`
`boolean` | `post(HTTPRequest req)`
`boolean` | `post(HTTPRequest req, String bindAddr, int bindPort)`
`SSDPPacket` | `receive()`
`boolean` | `send(String msg)`
`boolean` | `send(String msg, String bindAddr, int bindPort)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTPMUSocket

    public HTTPMUSocket()

### HTTPMUSocket

    public HTTPMUSocket(String addr,
                        int port,
                        String bindAddr)

Method Detail

### finalize

    protected void finalize()

  Overrides:
    `finalize` in class `Object`

### getLocalAddress

    public String getLocalAddress()

### getMulticastInetAddress

    public InetAddress getMulticastInetAddress()

### getMulticastAddress

    public String getMulticastAddress()

### open

    public boolean open(String addr,
                        int port,
                        String bindAddr)

### close

    public boolean close()

### send

    public boolean send(String msg,
                        String bindAddr,
                        int bindPort)

### send

    public boolean send(String msg)

### post

    public boolean post(HTTPRequest req,
                        String bindAddr,
                        int bindPort)

### post

    public boolean post(HTTPRequest req)

### receive

    public SSDPPacket receive()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD